/* @import url('https://fonts.cdnfonts.com/css/palanquin'); */

@font-face {
    font-family: "Palanquin";
    src: url("Palanquin-Regular.ttf") format("truetype"),
        url("Palanquin-Bold.ttf") format("truetype") bold,
        url("Palanquin-Light.ttf") format("truetype") lighter;
}

@font-face {
    font-family: "Palanquin";
    font-weight: 300;
    src: url("Palanquin-Light.ttf") format("truetype");
    font-display: swap;
}

@font-face {
    font-family: "Palanquin";
    font-weight: 400;
    src: url("Palanquin-Regular.ttf") format("truetype");
    font-display: swap;
}

@font-face {
    font-family: "Palanquin";
    font-weight: 700;
    src: url("Palanquin-Bold.ttf") format("truetype");
    font-display: swap;
}

/* Things to hide before translate */
#navbar>nav {
    visibility: hidden;
}

/* End things to hide */

/*======= Global setting ======*/
:root {
    /* Color pallete */
    --color-orange: #ef8117;
    --color-teal-blue: #20475c;
    --color-navy-blue: #132237;
    --color-outline-green: #31873E;
    --color-border-grey: #b4c1c9;
    --color-twitter: #0084ff;
    --color-facebook: #3b5999;
    --color-google: #dd4b39;
    --color-input: #054e8a;
    --color-progress-active: #31873E;
    --color-progress-incomplete: #1a5c93;

    /* Sizes and spacing */

}

html {
    color: #132237;
    font-family: "Palanquin", sans-serif;
    font-size: 16px !important;
    font-weight: 400;
}

body {
    font-family: "Palanquin", sans-serif;
}

/* Overwrite font family */
a,
.a,
h1,
.h1,
h2,
.h2,
h3,
.h3,
h4,
.h4,
h5,
.h5,
h6,
.h6,
p,
span:not(.fa):not(.glyphicon) {

    font-family: "Palanquin", sans-serif !important;

}

/* Overwrite input styles */
input:not([type="file" i], [type="image" i], [type="checkbox" i], [type="radio" i]) {
    margin-bottom: 0.8rem;
    padding: 0.9rem 0.5rem;
    border: 1px solid var(--color-border-grey);
    color: var(--color-input);
    font-weight: 700;
    height: auto;
}

input:not([type="file" i], [type="image" i], [type="checkbox" i], [type="radio" i]):focus {
    outline-width: 2px !important;
    outline-style: solid !important;
    outline-color: #31873E !important;
    outline-offset: -2px !important;
}

.btn,
#SubmitButton {
    font-size: 16px;
    color: #132237 !important;
    display: inline-block;
    font-weight: bold;
    text-decoration: none;
    text-transform: uppercase;
    padding: 0.9rem 2rem !important;
    border: none !important;
    outline: none;
    border-radius: 0;
}

.btn:focus,
#SubmitButton:focus {
    outline-style: dotted !important;
    outline-color: currentcolor !important;
    outline-offset: -2px !important;
    outline-width: 2px !important;
}

.btn:active,
#SubmitButton:active {
    outline-style: none !important;
}

.bg-blue-navy {
    background-color: var(--color-navy-blue);
}

.flex {
    display: flex;
}

.flex-1 {
    flex: 1;
}

/* Home cards */

.custom-card {
    display: flex;
    flex-direction: column;
    background-color: white;
}

.custom-card:hover {
    cursor: pointer !important;
}

.custom-card__content {
    display: flex;
    gap: 20px;
    justify-content: center;
    padding-top: 48px;
    padding-bottom: 48px;
    max-width: 250px;
    margin: auto;
    min-height: 370px;
}

.custom-card__header {
    font-size: 1.5rem;
    font-weight: bold;
    color: #132237;
    padding: 20px;
    text-align: center;
}

.custom-card__header.custom-card__header--cases-open {
    background-color: #498f4f;
}

.custom-card__header.custom-card__header--represented-cases-open {
    background-color: #3e7a43;
}


.custom-card__header.custom-card__header--represented-cases-open a {
    color: white;
}

.custom-card__header.custom-card__header--my-license {
    background-color: #ef8117;
}

.custom-card__header.custom-card__header--my-grant {
    background-color: #21bbc9;
}

.custom-card__header a {
    font-size: 1.25rem;
    font-weight: bold;
    color: #132237;
    text-decoration: none;
    display: block;
}

.custom-card__header a:hover {
    text-decoration: none;
}

.content__icon {
    display: flex;
    align-items: center;
}

.content__icon img {
    width: 75px;
    height: 67px;
}

.content__statistic {
    display: flex;
    flex-direction: column;
}

.content__statistic__number {
    font-size: 8rem;
    font-weight: 700;
    line-height: 1;
}

.content__statistic__unit {
    font-size: 1.5rem;
}

.content__statistic__number.content__statistic__number--cases-open {
    color: #498f4f
}

.content__statistic__number.content__statistic__number--my-license {
    color: #ef8117
}

.content__statistic__number.content__statistic__number--my-grant {
    color: #21bbc9
}

/* End Home cards */


.page-header h1 {
    font-weight: 700;
    text-align: center;
}

/* Nav bar custom style */
#navbar .navbar-nav.weblinks>li>a {
    font-weight: bold;
    display: inline-block;
    height: calc(63px - 0.4em);
}

#navbar .navbar-nav.weblinks>li>a:hover,
#navbar .navbar-nav.weblinks>li>a:focus {
    text-decoration: none;
    background-color: transparent;
    border: none !important;
    color: #2A2C2E;
    box-shadow: inset 0px -4px 0 0 #132237;
    outline: none;
}

#navbar .navbar-nav.weblinks .divider-vertical {
    display: none;
}

.navbar-right {
    padding-top: 0.6rem !important;
}

/* End Nav bar custom style */

/* Custom progress color */
.progress>li.active {
    background-color: var(--color-progress-active) !important;
    color: white;
    border: none !important;
}

.progress>li.incomplete,
.progress>li.list-group-item-success {
    background-color: var(--color-progress-incomplete) !important;
    color: white;
    border: none !important;
}

.progress>li.active:hover,
.progress>li.incomplete:hover,
.progress>li.list-group-item-success {
    opacity: 0.9;
}

/* .progress > li {
    height: 73.75px;
    display: flex;
    align-items: center;
    border-radius: 0.5em !important;
}



.progress {
    display: flex;
    justify-content: space-around;
    margin-bottom: 0px;
    background: white;
    border: none;
    padding-top: 54px;
} */

#WebFormPanel {
    border: none !important;
}

.crmEntityFormView .section-title {
    padding-left: 27px;
}

h1.siteTitle {
    margin-bottom: 50px;
}

.actions {
    padding-left: 54px !important;
    border: none !important;
    padding-bottom: 50px !important;
    padding-top: 0px !important;
}

.actions input[type="button"] {
    background-color: var(--color-orange) !important;
}

.btn-for-file-input {
    background-color: var(--color-orange) !important;
}

.actions input[type="button"]:hover {
    background-color: #f63 !important;

}

.actions > div {
    width: 100% !important;
}

/* End Custom progress color */


/* Custom input */

select {
    height: 52px !important;
}

select:focus {
    border-color: var(--color-outline-green) !important;
    border-width: 2px !important;
    outline: 0 !important;
    box-shadow: inset 0 1px 1px rgb(0 0 0 / 8%), 0 0 8px rgb(102 175 233 / 60%) !important;
}

/*End custom input*/

/* Fake file input */
.fake-file-input {
    border: solid 1px grey;
    border-radius: 2px;
    padding: 5px 10px;
    cursor: pointer;
    display: inline-block;
    margin-right: 5px;
}

.fake-file-input:hover {
    background-color: lightgrey;
}

.file_status {
    display: inline;
    margin-right: 15px;
    cursor: pointer;
}

.file_status:active {
    outline: solid 1px grey;
}


input[type="file"] {
   /* display: none;*/
}


::-webkit-file-upload-button {
    display: none;
}

::file-selector-button {
    display: none;
}

/* End Fake file input */

/** New Calendar css */
.custom-calendar-button {
    width: 50px;
    display: inline-flex;
    height: 52px;
    align-items: center;
}

/*input[data-ui="datetimepicker"] {
    display: none;
}*/

.ui-datepicker-title select {
    font-size: 12px !important;
}

.ui-icon,
.ui-widget-content .ui-icon {
    background-image: url('https://code.jquery.com/ui/1.12.1/themes/smoothness/images/ui-icons_222222_256x240.png') !important;
}

.ui-state-hover .ui-icon,
.ui-state-focus .ui-icon,
.ui-button:hover .ui-icon,
.ui-button:focus .ui-icon {
    background-image: url('https://code.jquery.com/ui/1.12.1/themes/smoothness/images/ui-icons_454545_256x240.png') !important;
}

.ui-datepicker {
    z-index: 2;
}
/* End datepicker */

/* Hide field by default */
#mobilephone,
#mobilephone_label,
#mobilephone_label + .validators,
#adx_identity_mobilephoneconfirmed,
#adx_identity_mobilephoneconfirmed_label,
#adx_identity_mobilephoneconfirmed_label + .validators,
#str_smsverificationrequest_label,
#str_smsverificationrequest_label + .validators,
#str_smsverificationrequest {
    display: none;
}

/* -- Things to hide before translation -- */
.forgot-password-heading span>span,
    .forgot-password-heading+div+div label>span>span,
    .forgot-password-heading+div+div .help-block>span>span,
    #submit-forgot-password,
    #ContentContainer_MainContent_MainContent_RegisterLocalFormHeading>span>span,
    body[data-sitemap-state="/profile/:/"] a[class*="list-group-item"][href*="/profile/"] .weblink-name,
    span[data-label="Profile/SecurityNav/Title"]>span,
    span[data-label="Profile/SecurityNav/ChangePassword"]>span,
    a[href="/ga/Account/Manage/ChangePassword"] > span > span,
    a[href="/ga/Account/Manage/ChangeEmail"] > .xrm-attribute > span,
    a[href="/ga/Account/Manage/ChangeLogin"] > .xrm-attribute > span,
    span[data-label="Profile/SecurityNav/ChangeEmail"]>span,
    span[data-label="Profile/SecurityNav/ChangeLogin"]>span,
    .nav-profile .panel-heading .xrm-attribute .xrm-attribute-value,
    body[data-sitemap-state="/"] a[class*="list-group-item"][href*="/profile/"] .weblink-name,
    span[data-label="Account/ChangePassword/Username"]>span,
    span[data-label="Account/ChangePassword/OldPassword"]>span,
    span[data-label="Account/ChangePassword/NewPassword"]>span,
    span[data-label="Account/ChangePassword/ConfirmPassword"]>span,
    body[data-sitemap-state="/profile/:/"] #jobtitle_label,
    body[data-sitemap-state="/profile/:/"] #firstname_label,
    body[data-sitemap-state="/profile/:/"] #lastname_label,
    body[data-sitemap-state="/profile/:/"] #emailaddress1_label,
    body[data-sitemap-state="/profile/:/"] #address1_country_label,
    body[data-sitemap-state="/profile/:/"] #address1_line1_label,
    body[data-sitemap-state="/profile/:/"] #address1_county_label,
    body[data-sitemap-state="/profile/:/"] #address1_city_label,
    body[data-sitemap-state="/profile/:/"] #address1_postalcode_label,
    body[data-sitemap-state="/profile/:/"] #telephone1_label,
    body[data-sitemap-state="/profile/:/"] #ContentContainer_MainContent_MainContent_ContentBottom_SubmitButton,
    body[data-sitemap-state="/profile/:/"] #telephone1,
    body[data-sitemap-state="/profile/:/"] span[data-label="Profile/EmailConfirmation/WarningText"] > span,
    body[data-sitemap-state="/profile/:/"] span[data-label="Profile/EmailConfirmation/WarningText"] + .pull-right > a,
    body[data-sitemap-state="/profile/:/"] span[data-default="Vos informations"] > span,
    body[data-sitemap-state="/cases/:/"] .entitylist-search input,
    body[data-sitemap-state="/create-grant/:/"] label[for="str_willpersonlivinghere_0"],
    body[data-sitemap-state="/create-grant/:/"] label[for="str_willpersonlivinghere_1"],
    body[data-sitemap-state="/create-grant/:/"] label[for="str_isrelativecaringfulltime_0"],
    body[data-sitemap-state="/create-grant/:/"] label[for="str_isrelativecaringfulltime_1"]
    body[data-sitemap-state="/create-grant/:/"] label[for="str_whoownsthehome_0"],
    body[data-sitemap-state="/create-grant/:/"] label[for="str_whoownsthehome_1"],
    body[data-sitemap-state="/create-grant/:/"] label[for="str_whoownsthehome_2"],
    body[data-sitemap-state="/create-grant/:/"] label[for="str_hometype_0"],
    body[data-sitemap-state="/create-grant/:/"] label[for="str_hometype_1"],
    body[data-sitemap-state="/create-grant/:/"] label[for="str_hometype_2"],
    body[data-sitemap-state="/create-grant/:/"] label[for="str_hometype_3"],
    body[data-sitemap-state="/create-grant/:/"] label[for="str_homebuildinlast12months_0"],
    body[data-sitemap-state="/create-grant/:/"] label[for="str_homebuildinlast12months_1"],
    body[data-sitemap-state="/create-grant/:/"] label[for="str_ishomecompliant_0"],
    body[data-sitemap-state="/create-grant/:/"] label[for="str_ishomecompliant_1"],
    body[data-sitemap-state="/create-grant/:/"] label[for="str_canyoupayextra_0"],
    body[data-sitemap-state="/create-grant/:/"] label[for="str_canyoupayextra_1"],
    body[data-sitemap-state="/create-grant/:/"] label[for="str_samepersonforgrant_0"],
    body[data-sitemap-state="/create-grant/:/"] label[for="str_samepersonforgrant_1"],
    body[data-sitemap-state="/create-grant/:/"] label[for="str_doyouhavedependents_0"],
    body[data-sitemap-state="/create-grant/:/"] label[for="str_doyouhavedependents_1"],
    body[data-sitemap-state="/create-grant/:/"] #str_numberofrelevantincomeearners_label,
    body[data-sitemap-state="/create-grant/:/"] #str_doyouhavedependents_label,
    body[data-sitemap-state="/create-grant/:/"] #str_doctorscertificatetobeuploadedhere_label,
    body[data-sitemap-state="/create-grant/:/"] #str_contactphone,
    .alert:not(.alert.alert-danger, .alert.alert-warning),
    .profile-page-heading .xrm-attribute-value,
    .xrm-attribute-value,
    title,
    body[data-sitemap-state="/"] h1[data-label="Account/ConfirmEmail/ConfirmEmailFormHeading"] + h1,
    body[data-sitemap-state="/"] label[for="Email"] > span > span,
    .breadcrumb,
    .validation-summary-errors,
    .validation-summary,
    #ValidationSummary1,
    .previous,
    body[data-sitemap-state="/create-grant/:/"] input[placeholder="Rechercher"],
    body[data-sitemap-state="/profile/:/"] label[for="str_salutation"],
    body[data-sitemap-state="/profile/:/"] label[for="str_countydropdown"],
    #RedeemByLogin + input[name="RedeemByLogin"] + span > span,
    #submit-redeem-invitation,
    label[for="InvitationCode"],
    form[action="/ga/Register"] h2 > span > span,
    body[data-sitemap-state="/sms-otp-verification/:/"] h1 > span > span,
    .page-header,
    .control-label
    {
        visibility: hidden;
    }
/* End things to hide*/

body {
    opacity: 0;
    transition: opacity 0.5s linear;
}

body[data-sitemap-state="/profile/:/"] .actions {
    padding-left: 0px !important;
    padding-top: 20px !important;
}

.btn-for-delete {
    padding: 5px !important;
}

.file-control-container {
    visibility: hidden !important;
}

.nav-profile a:nth-child(3) {
    display: none;
}


#fakeMobilePhoneWrapper {
    display: flex;
    width: 100%;
}

